* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --primary-font: "Poppins", sans-serif;
  --blue0: #3774a9;
  --blue1: #76a7d2;
  --blue2: #8cb5d9;
  --blue3: #b2cee6;
  --blue4: #d7e6f3;
  --blue5: #e7f0f8;
  --white: #f7f8f9;
  --black: #1f2a37;
  --gray0: #4d4d4d;
  --gray1: #878787;
  --gray2: #afafaf;
  --gray3: #e6e6e6;
  --gray4: #f3f5f6;
  --gray-stroke: rgba(195, 195, 195, 0.1);
  --light-blue-gray: #e6e9ec;
  --light-salmon: #e6b2b2;
  --salmon: #d98c8c;
  --bg: #e6e6e7;
  --fw400: 400;
  --fw500: 500;
  --fw600: 600;
  --fw700: 700;
  --fw800: 800;
  --border-radius: 0.5rem;
  --radius4: 0.25rem;
  --radius10: 0.625rem;
  --radius100: 6.25rem;
  --blue-inner-shadow: 0.25rem 0.25rem 0.25rem 0 rgba(255, 255, 255, 0.7) inset,
    -0.125rem -0.125rem 0.25rem 0 rgba(118, 167, 210, 0.54) inset,
    0.125rem 0.125rem 0.25rem 0 rgba(118, 167, 210, 0.85) inset;
  --gray-inner-shadow: 0.125rem 0.25rem 0.25rem 0 rgba(195, 195, 195, 0.43),
    -0.125rem -0.125rem 0.5rem 0 rgba(195, 195, 195, 0.5) inset,
    0.125rem 0.125rem 0.5rem 0 rgba(195, 195, 195, 0.2) inset;
  --box-shadow: 0 0.25rem 0.25rem 0 rgba(209, 209, 209, 0.25);
  --transition: 0.4s all ease;
  --letter-spacing: 0.0688rem;
}

html {
  overflow-x: clip;
}
body {
  background-color: var(--bg);
  width: 100%;
  max-width: 100vw;
  position: relative;
  overflow-x: clip;
  padding-top: 6.25rem;
  font-size: 16px;
}

/* === 📌 UI ** top navigation bar === */

.content-header{

  width: 100%;
  padding: 1.5rem 5rem;
  background: var(--white);
}

.content-header-wrapper{
  display: flex;
  align-items: center;
  justify-content:space-between;
  width: 80vw;
  max-width: 1000px;
  margin: 0 auto;
}

a {
  text-decoration: none;
}

.content-nav {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 2.5rem;
  width: 100%;
}

ul {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 2rem;
}

ul li {
  color: var(--gray0);
  font-size: 0.875rem;
  position: relative;
  transition: var(--transition);
}

ul li:hover {
  color: var(--gray1);
}

li.underbar::after {
  content: "";
  width: 100%;
  height: 0.25rem;
  background-color: var(--blue2);
  border-radius: var(--radius4);
  position: absolute;
  bottom: -0.25rem;
  left: 0;
}

/* === 📌 hamburger menu === */

.hamburger-icon {
  cursor: pointer;
  display: none;
}

.hamburger-menu {
  margin-top: 0.125rem;
  display: flex;
  flex-direction: column;
  background: var(--white);
  border-radius: 0 0 var(--border-radius) var(--border-radius);
  align-items: flex-start;
  max-width: 31.25rem;
  width: 100vw;
  padding: 1.5rem 0 2.5rem 0;
  box-shadow: var(--box-shadow);
  position: absolute;
  top: 11.375rem;
  transition: var(--transition);
  right: -37.5rem;
}

.slide-in {
  right: 0;
}

.hamburger-close {
  cursor: pointer;
  display: block;
  margin: 0 1rem 0 auto;
}

ul.hamburger-list {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  margin: 2.5rem 0;
  padding-bottom: 1.5rem;
  border-bottom: 0.0313rem solid var(--gray2);
  width: 100%;
  gap: 1.5rem;
}

ul.hamburger-list li {
  width: 100%;
  list-style: none;
  display: flex;
  padding: 0.25rem 1rem;
  align-items: center;
  justify-content: space-between;
  color: var(--gray1);
}

ul.hamburger-list li:hover {
  background-color: var(--gray3);
}

.hamburger-href {
  color: var(--gray1);
}

.btn-container {
  display: flex;
  margin: 0 1rem;
  width: 100%;
}

#hamburger-contact-btn {
  width: 90%;
  margin: 0 auto;
}

/* === 📌 responsive === */

@media (max-width: 1000px){
  .content-header{
    padding: 40px;
  }
  .content-header-wrapper{
    width: 100%;
  }
}

@media (max-width: 800px) {

  ul {
    display: none;
  }
  .hamburger-icon {
    display: block;
  }
}

@media (min-width: 50rem) {
  .hamburger-menu {
    display: none;
  }
}
